Open CASCADE Technology: AIS_AttributeFilter Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
AIS_AttributeFilter Class Reference

Selects Interactive Objects, which have the desired width or color. The filter questions each Interactive Object in local context to determine whether it has an non-null owner, and if so, whether it has the required color and width attributes. If the object returns true in each case, it is kept. If not, it is rejected. This filter is used only in an open local context. In the Collector viewer, you can only locate Interactive Objects, which answer positively to the filters, which are in position when a local context is open. More...

`#include <AIS_AttributeFilter.hxx>`

Inheritance diagram for AIS_AttributeFilter:
[legend]

## Public Member Functions
| AIS_AttributeFilter ()
| Constructs an empty attribute filter object. This filter object determines whether selectable interactive objects have a non-null owner. More...
| AIS_AttributeFilter (const Quantity_NameOfColor aCol)
| Constructs an attribute filter object defined by the color attribute aCol. More...
| AIS_AttributeFilter (const Standard_Real aWidth)
| Constructs an attribute filter object defined by the line width attribute aWidth. More...
Standard_Boolean | HasColor () const
| Indicates that the Interactive Object has the color setting specified by the argument aCol at construction time. More...
Standard_Boolean | HasWidth () const
| Indicates that the Interactive Object has the width setting specified by the argument aWidth at construction time. More...
void | SetColor (const Quantity_NameOfColor aCol)
| Sets the color aCol. This must be chosen from the list of colors in Quantity_NameOfColor. More...
void | SetWidth (const Standard_Real aWidth)
| Sets the line width aWidth. More...
void | UnsetColor ()
| Removes the setting for color from the filter. More...
void | UnsetWidth ()
| Removes the setting for width from the filter. More...
virtual Standard_Boolean | IsOk (const Handle< SelectMgr_EntityOwner > &anObj) const
| Indicates that the selected Interactive Object passes the filter. The owner, anObj, can be either direct or user. A direct owner is the corresponding construction element, whereas a user is the compound shape of which the entity forms a part. If the Interactive Object returns Standard_True when detected by the Local Context selector through the mouse, the object is kept; if not, it is rejected. More...
Public Member Functions inherited from SelectMgr_Filter
virtual Standard_Boolean | ActsOn (const TopAbs_ShapeEnum aStandardMode) const
| Returns true in an AIS local context, if this filter operates on a type of subshape defined in a filter class inheriting this framework. This function completes IsOk in an AIS local context. More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Detailed Description

Selects Interactive Objects, which have the desired width or color. The filter questions each Interactive Object in local context to determine whether it has an non-null owner, and if so, whether it has the required color and width attributes. If the object returns true in each case, it is kept. If not, it is rejected. This filter is used only in an open local context. In the Collector viewer, you can only locate Interactive Objects, which answer positively to the filters, which are in position when a local context is open.

## Constructor & Destructor Documentation

AIS_AttributeFilter::AIS_AttributeFilter | ( |  | ) |

Constructs an empty attribute filter object. This filter object determines whether selectable interactive objects have a non-null owner.

AIS_AttributeFilter::AIS_AttributeFilter | ( | const Quantity_NameOfColor | aCol | ) |

Constructs an attribute filter object defined by the color attribute aCol.

AIS_AttributeFilter::AIS_AttributeFilter | ( | const Standard_Real | aWidth | ) |

Constructs an attribute filter object defined by the line width attribute aWidth.

## Member Function Documentation

Standard_Boolean AIS_AttributeFilter::HasColor | ( |  | ) | const

Indicates that the Interactive Object has the color setting specified by the argument aCol at construction time.

Standard_Boolean AIS_AttributeFilter::HasWidth | ( |  | ) | const

Indicates that the Interactive Object has the width setting specified by the argument aWidth at construction time.

virtual Standard_Boolean AIS_AttributeFilter::IsOk | ( | const Handle< SelectMgr_EntityOwner > & | anObj | ) | const
| virtual

Indicates that the selected Interactive Object passes the filter. The owner, anObj, can be either direct or user. A direct owner is the corresponding construction element, whereas a user is the compound shape of which the entity forms a part. If the Interactive Object returns Standard_True when detected by the Local Context selector through the mouse, the object is kept; if not, it is rejected.

Implements SelectMgr_Filter.

void AIS_AttributeFilter::SetColor | ( | const Quantity_NameOfColor | aCol | ) |

Sets the color aCol. This must be chosen from the list of colors in Quantity_NameOfColor.

void AIS_AttributeFilter::SetWidth | ( | const Standard_Real | aWidth | ) |

Sets the line width aWidth.

void AIS_AttributeFilter::UnsetColor | ( |  | ) |

Removes the setting for color from the filter.

void AIS_AttributeFilter::UnsetWidth | ( |  | ) |

Removes the setting for width from the filter.

The documentation for this class was generated from the following file:

- AIS_AttributeFilter.hxx